<?php
/** 
*
* tube [English]
*
* @package language
* @version $Id: v3_modules.xml,v 1.4 2007/03/18 18:16:40 kellanved Exp $
* @copyright (c) 2005 phpBB Group 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/
					
/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
        exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
						
// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
						
$lang = array_merge($lang, array(
//INSTALL
	'ADDED_PERMISSIONS'			=> 'You have successfully added the permission options for OurTube to your database.',
//GENERAL
	'TUBE'						=> 'OurTube',
	'TUBE_DISABLE'				=> 'Disable OurTube',
	'TUBE_DISABLED'				=> 'OurTube is currently disabled, please check back later.',
	'TUBE_UPLOAD_FLV'			=> 'Upload an FLV Video & Thumbnail',
	'TUBE_UPLOAD'				=> 'Upload a Video',
	'TUBE_YOUTUBE'				=> 'Use a YouTube Video',
	'DETAILS'				    => 'Details',
	'TUBE_VIEWS'				=> 'Views',
	'TUBE_DURATION'				=> 'Duration',
	'TUBE_RATING'				=> 'Rating',
	'TUBE_RATING_INFO'			=> ' [%d votes]',
	'TUBE_COMMENTS'				=> 'Comments',
	'TUBE_ADDED_BY'				=> 'Added By',
	'TUBE_ADDED_ON'				=> 'Added On',
	'TUBE_SOURCE'				=> 'Source',
	'TUBE_ADD'					=> 'Add a Video',
	'TUBE_TYPE'					=> 'Video Source',
	'TUBE_BBCODE'				=> 'Video BBCode',
	'TUBE_TITLE'				=> 'Title',
	'TUBE_COUNT'				=> 'Videos in this category',
	'TUBE_DESCRIPTION'			=> 'Description',
	'TUBE_DESCRIPTION_EXPLAIN'	=> 'You can type your own description, or leave blank to use the description from YouTube',
	'TUBE_VIDEO'				=> 'Video',
	'TUBE_VIDEO_EXPLAIN'		=> 'Only files with a video/* content-type will be accepted',
	'TUBE_THUMB'				=> 'Thumbnail',
	'TUBE_THUMB_EXPLAIN'		=> 'Select an image to use as the thumbnail image for your video.  Only png files will be accepted.',
	'TUBE_STATUS'				=> 'Status',
	'TUBE_STATUS_EXPLAIN'		=> 'Please wait while your file is uploading:',
	'TUBE_CATEGORY'				=> 'Category',
	'TUBE_CATEGORIES'			=> 'Categories',
	'TUBE_VIDEOS'				=> 'Videos',
	'TUBE_NEWEST'				=> 'Newest Videos',
	'TUBE_NEWEST_CATEGORY'		=> 'Newest Videos in this Category',
	'TUBE_RATED'				=> 'Highest Rated',
	'TUBE_RATED_CATEGORY'		=> 'Highest Rated in this Category',
	'TUBE_VIEWED'				=> 'Most Viewed',
	'TUBE_VIEWED_CATEGORY'		=> 'Most Viewed in this Category',
	'TUBE_ACTION'				=> 'Action',
	'TUBE_VIDEO_URL'			=> 'Video URL',
	'TUBE_VIDEO_URL_EXPLAIN'	=> 'e.g. http://uk.youtube.com/watch?v=2-NZE5g1ZDk',
	'TUBE_CONVERSION'			=> 'Video conversion is a very CPU intensive task so this process could take some time.',
	'TUBE_RATING_SUCCESS'		=> 'Your rating has been recorded for this item.',
	'TUBE_RATING_FAILURE'		=> 'Each user may only record their rating for an item once.',
	'RETURN_TO_ITEM'			=> '%1$sReturn to item%2$s',
	'RETURN_TO_INDEX'			=> '%1$sReturn to index%2$s',
	'TUBE_COPYRIGHT_CHECK'		=> 'Powered by OurTube &copy; <a href="http://www.csko.sk/">csko.SK</a>',
	'TUBE_REPLACE_COPYRIGHT'	=> 'You have removed the copyright from the OurTube mod !<br />Please restore the entry for the copyright by editing language/en/common.php.<br />Until you do so, both this mod and your forum will not work unless you uninstall OurTube.',
	'TUBE_PLAYER_LOADING'		=> 'Player loading, please wait....',
	'TUBE_ITEM_ADDED'			=> 'The item has been added successfully.',
	'TUBE_OPTIONS_DISABLED'		=> 'All options to upload a video are disabled!',
	'TUBE_REUPLOAD_VIDEO'		=> 'You will need to re-upload your video also.',
	'TUBE_ITEM_EXISTS'			=> 'This video already exists, you will now be redirected to the existing video.',
	'DELETED_VIDEO'			    => 'Video deleted',
    'DELETED_VIDEO_NOT'		    => 'Video not deleted',
	'DELETE_VIDEO'		     	=> 'Delete video?',
	'DELETE_VIDEO2'		     	=> 'Delete video?',
	'EDIT_VIDEO'		     	=> 'Edit video?',
	'EDITED_VIDEO_NOT'		    => 'The video has not been edited.',	
	'EDIT_VIDEO2'		     	=> 'Video was edited',
//COMMENT
	'COMMENT_LENGTH'			=> 'Enter your comment here, it may contain no more than <strong>%d</strong> characters.',
	'COMMENT_STORED'			=> 'Your comment has been saved successfully.',
	'COMMENT_TOO_LONG'			=> 'Your comment is too long.',
	'POST_COMMENT'		    	=> 'Post your comment !',
	'YOUR_COMMENT'		    	=> 'Your comment',
	'COMMENTS'					=> 'Comments',
	'COMMENT'					=> 'Comment',
	'DELETE_NOT_ALLOWED'		=> 'You do not have the required permissions to delete.',
	'EDIT_NOT_ALLOWED'		    => 'You do not have the required permissions to edit.',
	'DELETE_COMMENT'			=> 'Delete',
	'DELETE_COMMENT2'			=> 'Delete comment?',
	'DELETED_COMMENT'			=> 'Comment deleted',
	'DELETED_COMMENT_NOT'		=> 'Comment not deleted',
	'EDIT_COMMENT'				=> 'Edit comment',
	'EDITED_COMMENT_NOT'		=> 'The comment has not been edited.',
	'MISSING_COMMENT'			=> 'No Message entered',
	'NO_COMMENTS'				=> 'No comments yet',
	'MISSING_USERNAME'			=> 'No Username entered',
	'ORDER'						=> 'Sort Order',
	'SORT_ASCENDING'			=> 'Ascending',
	'SORT_DESCENDING'			=> 'Descending',
	'DENY'						=> 'Deny',
	'COMMENT_REVISIONS_INFO'	=> 'Last time edited by %1$s on %2$s, %3$s times changed by now.',
	'SHOW_BBINFO'				=> 'Show BBCode info',
//Stats
	'TUBE_STATS'				=> 'Statistics',
	'TUBE_TOTALS'				=> 'Number of videos added',
	'TUBE_TOTAL_24_HOURS'		=> 'within the last 24 hours: <strong>%d</strong>,',
	'TUBE_TOTAL_7_DAYS'			=> 'within the last week: <strong>%d</strong>,',
	'TUBE_TOTAL_30_DAYS'		=> 'within the last month: <strong>%d</strong>,',
	'TUBE_TOTAL'				=> 'in Total: <strong>%d</strong>',
//ACP : General
	'TUBE_GENERAL'						=> 'OurTube General Settings',
	'TUBE_GENERAL_EXPLAIN'				=> 'Here you can change the general settings for OurTube.',
	'LOG_TUBE_GENERAL'					=> '<strong>OurTube Settings Updated</strong>',
	'TUBE_GENERAL_UPDATED'				=> 'OurTube Settings Updated',
	'TUBE_LOGO_ADVERTISING'				=> 'Logo Branding',
	'TUBE_LOGO_ENABLED'					=> 'Logo Enabled',
	'TUBE_LOGO'							=> 'Logo',
	'TUBE_FORMATS'						=> 'Supported Formats',
	'TUBE_UPLOAD_FLV_SUPPORT'			=> 'File Uploads - FLV ONLY',
	'TUBE_UPLOAD_FLV_SUPPORT_EXPLAIN'	=> 'For video & thumbnail uploads without ffmpeg/mencoder/flvtool.  Users must convert videos to flv format before upload and supply a thumbnail.  If you are using File Uploads - ALL FORMATS, it is recommended that you disable this option.',
	'TUBE_UPLOAD_SUPPORT'				=> 'File Uploads - ALL FORMATS',
	'TUBE_UPLOAD_SUPPORT_EXPLAIN'		=> 'For File Uploads and conversion to work, your server must support ffmpeg.  To enable this setting, you must also set the program locations below !',
	'TUBE_YOUTUBE_SUPPORT'				=> 'YouTube Support',
	'TUBE_YOUTUBE_SUPPORT_EXPLAIN'		=> 'For YouTube videos to work, you must set the locations to the Zend framework below',
	'TUBE_PROGRAMS'						=> 'OurTube Program Locations',
	'TUBE_SYSTEM_TMP'					=> 'System tmp Dir',
	'TUBE_SYSTEM_TMP_EXPLAIN'			=> 'tube/tmp ???',
	'TUBE_FFMPEG'						=> 'ffmpeg location',
	'TUBE_FFMPEG_EXPLAIN'				=> '/usr/bin/ffmpeg ???',
	'TUBE_SEARCH_FFMPEG'				=> 'Search for ffmpeg',
	'TUBE_MENCODER'						=> 'mencoder location',
	'TUBE_MENCODER_EXPLAIN'				=> '/usr/bin/mencoder ???',
	'TUBE_SEARCH_MENCODER'				=> 'Search for mencoder',
	'TUBE_FLVTOOL'						=> 'flvtool2 location',
	'TUBE_FLVTOOL_EXPLAIN'				=> '/usr/bin/flvtool2 ???',
	'TUBE_SEARCH_FLVTOOL'				=> 'Search for flvtool',
	'TUBE_ZEND'							=> 'Zend framework location',
	'TUBE_ZEND_EXPLAIN'					=> 'tube/zend???',
//ACP : Categories
	'TUBE_CATEGORY_INDEX'			=> 'OurTube Categories',
	'TUBE_CATEGORY_INDEX_EXPLAIN'	=> 'Here you can manage the OurTube categories.',
	'TUBE_CATEGORY_ADD'				=> 'Add a Category',
	'TUBE_CATEGORY_ADD_EXPLAIN'		=> 'Here you can add an OurTube category.',
	'LOG_TUBE_CATEGORY_ADD'			=> '<strong>OurTube Category Added</strong>',
	'TUBE_CATEGORY_ADDED'			=> 'OurTube Category Added',
	'TUBE_CATEGORY_EDIT'			=> 'Edit a Category',
	'TUBE_CATEGORY_EDIT_EXPLAIN'	=> 'Here you can edit an OurTube category.',
	'LOG_TUBE_CATEGORY_EDIT'		=> '<strong>OurTube Category Edited</strong>',
	'TUBE_CATEGORY_EDITED'			=> 'OurTube Category Edited',
	'LOG_TUBE_CATEGORY_DELETE'		=> '<strong>OurTube Category Deleted</strong>',
	'TUBE_CATEGORY_DELETED'			=> 'OurTube Category Deleted',
	'TUBE_CATEGORY_IMAGE'			=> 'Category Image',
//ACP : Items
	'TUBE_ITEM_INDEX'			=> 'OurTube Items',
	'TUBE_ITEM_INDEX_EXPLAIN'	=> 'Here you can manage the OurTube items.',
	'TUBE_ITEM_ADD'				=> 'Add an Item',
	'TUBE_ITEM_ADD_EXPLAIN'		=> 'Here you can add an OurTube item.',
	'LOG_TUBE_ITEM_ADD'			=> '<strong>OurTube Item Added</strong>',
	'TUBE_ITEM_ADDED'			=> 'OurTube Item Added',
	'TUBE_ITEM_EDIT'			=> 'Edit an Item',
	'TUBE_ITEM_EDIT_EXPLAIN'	=> 'Here you can edit an OurTube item.',
	'LOG_TUBE_ITEM_EDIT'		=> '<strong>OurTube Item Edited</strong>',
	'TUBE_ITEM_EDITED'			=> 'OurTube Item Edited',
	'LOG_TUBE_ITEM_DELETE'		=> '<strong>OurTube Item Deleted</strong>',
	'TUBE_ITEM_DELETED'			=> 'OurTube Item Deleted',
	'TUBE_ITEM_IMAGE'			=> 'Item Image',
	'TUBE_ITEM_VIDEO'			=> 'Item Video',
//Errors
	'LOGIN_EXPLAIN_TUBE'			=> 'In order to view OurTube you must be logged in.',
	'LOGIN_EXPLAIN_TUBE_ADD'		=> 'You do not have the correct permissions to upload videos to OurTube.',
	'ERROR_TITLE'					=> 'You must specify a title for your video.',
	'ERROR_DESCRIPTION'				=> 'You must specify a description for your video.',
	'ERROR_CATEGORY'				=> 'You must specify a category for your video.',
	'ERROR_TYPE'					=> 'Only video filetypes are allowed.',
	'ERROR_VIDEO'					=> 'You must specify a video file.',
	'ERROR_YOUTUBE'					=> 'You must specify a YouTube URL.',
	'ERROR_YOUTUBE_INVALID_ID'		=> 'The YouTube Video supplied is either invalid or has been removed.',
	'ERROR_YOUTUBE_INVALID_URL'		=> 'The YouTube URL supplied is invalid.',
));

?>
