<?php
/**
*
* @package OurTube
*
*/
define('IN_PHPBB', true);
$phpbb_root_path = './../';
$tube_path = $phpbb_root_path . 'tube/';

$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
include($phpbb_root_path . 'includes/bbcode.' . $phpEx);

include($tube_path . 'tube_functions.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/tube');

// Setup specific vars
$mode = request_var('mode','');
$submode = request_var('submode','');
$type = request_var('type','');
$id = request_var('id','');
$start = request_var('start',0);
$submit = (isset($_POST['submit'])) ? true : false;
$deny = (isset($_POST['deny'])) ? true : false;
$item_id = request_var('item_id',0);
$comment_id = request_var('comment_id',0);
$sort_order = request_var('sort_order','DESC');
$error = $message = NULL;
$comment = $comment_username = '';
$chrs = array('a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S' ,'T', 'U', 'V', 'W', 'X', 'Y', 'Z');

if ($config['tube_disabled'] == false)
{
	if (!isset($user->lang['TUBE_COPYRIGHT']) || (trim($user->lang['TUBE_COPYRIGHT']) == '') || $user->lang['TUBE_COPYRIGHT'] != $user->lang['TUBE_COPYRIGHT_CHECK'])
	{
		trigger_error($user->lang['TUBE_REPLACE_COPYRIGHT'], E_USER_NOTICE);
	exit;
	}
	switch($mode)
	{  
	case "addvideo":
			if (!$auth->acl_get('u_tube_add'))
			{
				login_box(append_sid("./tube/video_add.$phpEx", 'mode=addvideo'), $user->lang['LOGIN_EXPLAIN_TUBE_ADD']);
			}
			if ($user->data['is_bot'])
			{
				redirect(append_sid("{$phpbb_root_path}index.$phpEx"));
			}
			switch($type)
			{
				case "UP":
					$title = request_var('uptitle', '', true);
					($title == "") ? $error[] = $user->lang['ERROR_TITLE'] : '';
					$description = request_var('updescription', '', true);
					($description == "") ? $error[] = $user->lang['ERROR_DESCRIPTION'] : '';
					$category = request_var('upcategory', '');
					($category == "") ? $error[] = $user->lang['ERROR_CATEGORY'] : '';
					if ($_FILES['video']['tmp_name'] != '')
					{
						preg_match("/(video\/.*)/", $_FILES['video']['type'][0], $matches);
						(!sizeof($matches)) ? $error[] = $user->lang['ERROR_TYPE'] : '';
					}
					else
					{
						$error[] = $user->lang['ERROR_VIDEO'];
					}
					list($usec, $sec) = explode(" ",microtime());
					$utime = $sec.($usec * 100000000);
					$filename = int_to_alph($utime, $chrs);
					$path = $phpbb_root_path . "tube/tmp/" . $filename;
					$file = $phpbb_root_path . "tube/videos/" . $filename;
					move_uploaded_file($_FILES['video']['tmp_name'][0], $path);
					if (!isset($error))
					{
						ob_start();
						passthru($config['tube_ffmpeg'] . " -i \"" . $path. "\" 2>&1");
						$info = ob_get_contents();
						ob_end_clean();
						preg_match('/.*?(\d{2}.\d{2}) fps.*?/', $info, $matches);
						$fps = $matches;
						preg_match('/Duration: (.*?),/', $info, $matches);
						$duration_array = split(':', $matches[1]);
						$duration = $duration_array[0] * 3600 + $duration_array[1] * 60 + $duration_array[2];
						$center = intval(($duration/2)/3600) . ":" . intval((($duration/2)-(intval(($duration/2)/3600)*3600))/60) . ":" . sprintf("%01.3f", (($duration/2)-(intval(($duration/2)/60)*60)));
                        exec($config['tube_ffmpeg'] ." -i ".$phpbb_root_path . "tube/tmp/".$filename." -s 96x72 -vcodec png -an -ss " . $center . " -vframes 1 -f image2 -y " . $phpbb_root_path . "tube/images/" . $filename . "_tn.png 2>&1");
						exec($config['tube_ffmpeg'] ." -i ".$phpbb_root_path . "tube/tmp/".$filename." -s 480x360 -vcodec png -an -ss " . $center . " -vframes 1 -f image2 -y " . $phpbb_root_path . "tube/images/" . $filename . ".png 2>&1");
						exec($config['tube_ffmpeg'] ." -i ".$phpbb_root_path . "tube/tmp/".$filename." -f flv ".$phpbb_root_path . "tube/videos/".$filename.".flv");
						unlink($path);
						$data = array(
							'item_id'			=> $filename,
							'title'				=> $title,
							'category_id'		=> $category,
							'description'		=> $description,
							'user_id'			=> $user->data['user_id'],
							'duration'			=> round($duration),
							'views'				=> 1,
							'date'				=> time(),
							'thumb'				=> $phpbb_root_path . 'tube/images/' . $filename . '_tn.png',
							'image'				=> $phpbb_root_path . 'tube/images/' . $filename . '.png',
						);
						$db->sql_query('INSERT INTO ' . TUBE_ITEMS_TABLE . $db->sql_build_array('INSERT', $data));
						$cache->destroy('sql', TUBE_ITEMS_TABLE);

						$meta_info = append_sid("{$tube_path}video.$phpEx", 'mode=item&amp;id=' . $filename);
						meta_refresh(3, $meta_info);
						$message = $user->lang['TUBE_ITEM_ADDED'] . '<br /><br />' . sprintf($user->lang['RETURN_TO_ITEM'], '<a href="' . $meta_info . '">', '</a>');
						trigger_error($message);
					}
					else
					{
						if (file_exists($file))
						{
							unlink($file);
						}
						$template->assign_vars(array(
							'S_SHOW'			=> 'UP',
							'U_CATEGORY'		=> append_sid("{$tube_path}index.$phpEx", "mode=addvideo"),
							'CATEGORY'			=> $user->lang['TUBE_ADD'],
							'S_UPCATEGORY'		=> category_select($category),
							'S_YTCATEGORY'		=> category_select(),
							'U_ACTION'			=> append_sid("{$tube_path}index.$phpEx", "mode=addvideo&amp;type=UP"),
							'ERROR'				=> join("<br />\n", $error),
						));
					}
				break;

				case "UPFLV":
				global $phpbb_root_path, $tube_path;

					$title = request_var('upflvtitle', '', true);
					($title == "") ? $error[] = $user->lang['ERROR_TITLE'] : '';
					$description = request_var('upflvdescription', '', true);
					($description == "") ? $error[] = $user->lang['ERROR_DESCRIPTION'] : '';
					$category = request_var('upflvcategory', '');
					($category == "") ? $error[] = $user->lang['ERROR_CATEGORY'] : '';
					if ($_FILES['userfile']['tmp_name'] != '')
					{
						$extension = strtolower(end(explode('.', $_FILES['userfile']['name'][0])));
						preg_match("/(video\/.*)/", $_FILES['userfile']['type'][0], $matches);
						(!sizeof($matches[1]) && $extension != 'flv') ? $error[] = $user->lang['ERROR_TYPE'] : '';
					}
					else
					{
						$error[] = $user->lang['ERROR_VIDEO'];
					}
					list($usec, $sec) = explode(" ",microtime());
					$utime = $sec.($usec * 100000000);
					$filename = int_to_alph($utime, $chrs);
					$path = $phpbb_root_path . "tube/tmp/" . $filename . ".flv";
					$file = $phpbb_root_path . "tube/videos/" . $filename . ".flv";
					move_uploaded_file($_FILES['userfile']['tmp_name'][0], $path);
					$allowed_mimes = array('image/jpg', 'image/png', 'image/gif', 'image/jpeg');
					if (($_FILES['userfile']['name'][1] != '') && in_array($_FILES['userfile']['type'][1], $allowed_mimes))
					{
						$path_img = $tube_path . "tmp/" . $filename . 'tn.' . getExtension($_FILES['userfile']['name'][1]);
						$thumb = $tube_path . "images/" . $filename . '_tn.' . getExtension($_FILES['userfile']['name'][1]);
						$image = $tube_path . "images/" . $filename . '.' . getExtension($_FILES['userfile']['name'][1]);
						move_uploaded_file($_FILES['userfile']['tmp_name'][1], $path_img);
						copy($path_img, $thumb);
						copy($path_img, $image);
						unlink($path_img);
					}
					else
					{
						$image = $thumb = $tube_path . "images/no_thumb.png";
					}
					if (!isset($error))
					{
					    ob_start();
						passthru($config['tube_ffmpeg'] . " -i \"" . $path. "\" 2>&1");
						$info = ob_get_contents();
						ob_end_clean();
						preg_match('/.*?(\d{2}.\d{2}) fps.*?/', $info, $matches);
						$fps = $matches;
						preg_match('/Duration: (.*?),/', $info, $matches);
						$duration_array = split(':', $matches[1]);
						$duration = $duration_array[0] * 3600 + $duration_array[1] * 60 + $duration_array[2];

					   	copy($path, $file);
					    unlink($path);
						$data = array(
							'item_id'			=> $filename,
							'title'				=> $title,
							'category_id'		=> $category,
							'description'		=> $description,
							'user_id'			=> $user->data['user_id'],
							'duration'			=> round($duration),
							'views'				=> 1,
							'date'				=> time(),
							'thumb'				=> $thumb,
							'image'				=> $image,
						);
						$db->sql_query('INSERT INTO ' . TUBE_ITEMS_TABLE . $db->sql_build_array('INSERT', $data));
						$cache->destroy('sql', TUBE_ITEMS_TABLE);

						$meta_info = append_sid("{$tube_path}video.$phpEx", 'mode=item&amp;id=' . $filename);
						meta_refresh(3, $meta_info);
						$message = $user->lang['TUBE_ITEM_ADDED'] . '<br /><br />' . sprintf($user->lang['RETURN_TO_ITEM'], '<a href="' . $meta_info . '">', '</a>');
						trigger_error($message);
					}
					else
					{
						if (file_exists($file))
						{
							unlink($file);
						}
						$template->assign_vars(array(
							'S_SHOW'			=> 'UP',
							'U_CATEGORY'		=> append_sid("{$tube_path}video_add.$phpEx", "mode=addvideo"),
							'CATEGORY'			=> $user->lang['TUBE_ADD'],
							'S_UPCATEGORY'		=> category_select($category),
							'S_YTCATEGORY'		=> category_select(),
							'U_ACTION'			=> append_sid("{$tube_path}video_add.$phpEx", "mode=addvideo&amp;type=UPFLV"),
							'ERROR'				=> join("<br />\n", $error),
						));
					}
				break;

				case "YT":
					$youtube = request_var('youtube', '', true);
					($youtube == "") ? $error[] = $user->lang['ERROR_YOUTUBE'] : '';
					$title = request_var('title', '', true);
					$description = request_var('ytdescription', '', true);
					$category = request_var('ytcategory', '');
					($category == "") ? $error[] = $user->lang['ERROR_CATEGORY'] : '';
					if (isset($youtube) && $youtube != "")
					{
						if (preg_match("#http://((.*?)?)youtube.com/(|watch\?)v(/|=)([0-9A-Za-z-_]+)?([^[]*)?#is", $youtube))
						{
							$url = parse_url($youtube);
							parse_str($url['query']);
							ini_set('include_path', '.' . PATH_SEPARATOR . $config['tube_zend']);
							require_once 'Zend/Loader.php';
							Zend_Loader::loadClass('Zend_Http_Client');
							$cl=new Zend_Http_Client('http://gdata.youtube.com/feeds/api/videos/' . $v);
							$response = $cl->request();
							$status=$response->getStatus();
							($status != "200") ? $error[] = $user->lang['ERROR_YOUTUBE_INVALID_ID'] : '';
						}
						else
						{
							$error[] = $user->lang['ERROR_YOUTUBE_INVALID_URL'];
						}
					}
					if (!isset($error))
					{
						if (!get_item_info($v))
						{
							Zend_Loader::loadClass('Zend_Gdata_YouTube');
							$yt = new Zend_Gdata_YouTube();
							$vid = $yt->getVideoEntry($v);
							$title = ($title != '') ? $title : $vid->getVideoTitle();
							$description = ($description != '') ? $description : $vid->getVideoDescription();
							$duration = $vid->getVideoDuration();
							$thumbnails = $vid->getVideoThumbnails();
							$filename = $v;
							$data = array(
								'item_id'				=> $filename,
								'title'					=> $title,
								'category_id'			=> $category,
								'description'			=> $description,
								'user_id'				=> $user->data['user_id'],
								'duration'				=> round($duration),
								'views'					=> 1,
								'date'					=> time(),
								'thumb'					=> $thumbnails[1]['url'],
								'image'					=> $thumbnails[3]['url'],
								'youtube'				=> $url['scheme'] . '://' . $url['host'] . $url['path'] . '?v=' . $v,
							);
							$db->sql_query('INSERT INTO ' . TUBE_ITEMS_TABLE . $db->sql_build_array('INSERT', $data));
							$cache->destroy('sql', TUBE_ITEMS_TABLE);

							$meta_info = append_sid("{$tube_path}video.$phpEx", 'mode=item&amp;id=' . $filename);
							meta_refresh(3, $meta_info);
							$message = $user->lang['TUBE_ITEM_ADDED'] . '<br /><br />' . sprintf($user->lang['RETURN_TO_ITEM'], '<a href="' . $meta_info . '">', '</a>');
							trigger_error($message);
						}
						else
						{
							$meta_info = append_sid("{$tube_path}video.$phpEx", 'mode=item&amp;id=' . $v);
							meta_refresh(3, $meta_info);
							$message = $user->lang['TUBE_ITEM_EXISTS'] . '<br /><br />' . sprintf($user->lang['RETURN_TO_ITEM'], '<a href="' . $meta_info . '">', '</a>');
							trigger_error($message);
						}
					}
					else
					{
						$template->assign_vars(array(
							'S_SHOW'			=> 'YT',
							'U_CATEGORY'		=> append_sid("{$tube_path}video_add.$phpEx", "mode=addvideo"),
							'CATEGORY'			=> $user->lang['TUBE_ADD'],
							'S_UPCATEGORY'		=> category_select(),
							'S_YTCATEGORY'		=> category_select($category),
							'U_ACTION'			=> append_sid("{$tube_path}video_add.$phpEx", "mode=addvideo&amp;type=YT"),
							'ERROR'				=> join("<br />\n", $error),
						));
					}
				break;
			}
			$template->assign_vars(array(
				'S_UPLOAD'			=> ($config['tube_upload'] == true) ? true : false,
				'S_UPLOAD_FLV'		=> ($config['tube_upload_flv'] == true) ? true : false,
				'S_YOUTUBE'			=> ($config['tube_youtube'] == true) ? true : false,
				'S_SHOW'			=> '',
				'U_CATEGORY'		=> append_sid("{$tube_path}video_add.$phpEx", "mode=addvideo"),
				'CATEGORY'			=> $user->lang['TUBE_ADD'],
				'S_UPCATEGORY'		=> category_select(),
				'S_YTCATEGORY'		=> category_select(),
				'U_ACTION'			=> append_sid("{$tube_path}video_add.$phpEx", "mode=addvideo&amp;type=" . $type),
			));
			$template->assign_block_vars('navlinks', array(
				'U_VIEW_FORUM'  	=> append_sid("{$tube_path}index.$phpEx"),
				'FORUM_NAME'    	=> $user->lang['TUBE'],
			));
			$template->assign_block_vars('navlinks', array(
				'U_VIEW_FORUM'  	=> append_sid("{$tube_path}video_add.$phpEx", "mode=addvideo"),
				'FORUM_NAME'    	=> $user->lang['TUBE_ADD'],
			));
			$template->set_filenames(array(
				'body'  			=> 'tube/tube_add.html'
			));
			$page_title = $user->lang['TUBE'] . ' &bull; ' . $user->lang['TUBE_ADD'];
		break;

    }
}
else
{
	$template->assign_block_vars('navlinks', array(
		'U_VIEW_FORUM'  	=> append_sid("{$tube_path}video_add.$phpEx"),
		'FORUM_NAME'    	=> $user->lang['TUBE'],
	));
	$template->set_filenames(array(
		'body'				=> 'tube/tube_disable.html'
	));
	$page_title = $user->lang['TUBE'];
}		
// Output the page
page_header($page_title);

$template->set_filenames(array(
	'body' => 'tube/tube_add.html')
);

page_footer();
function category_select($value = '')
{
	global $user, $db;

	$data = '';
	$sql = 'SELECT category_id,title
		FROM ' . TUBE_CATEGORIES_TABLE . '
		ORDER BY title';
	$result = $db->sql_query($sql);
	while ($row = $db->sql_fetchrow($result))
	{
		$data .= '<option value="' . $row['category_id'] . '"' . (($value == $row['category_id']) ? ' selected="selected"' : '') . '>' . $row['title'] . '</option>';
	}
	$db->sql_freeresult($result);

	return $data;
}
function int_to_alph($int, $chrs)
{
	$alph = $var = '';
	$x = 0;
	for($i=0; $i<=strlen($int);$i++)
	{
		$var = substr($int, $i - 1, 1) . substr($int, $i, 1);
		if ($x == 1)
		{
			$x = 0;
		}
		elseif (substr($int, $i - 1, 1) == 0)
		{
			$alph .= $chrs[substr($int, $i - 1, 1)];
		}
		elseif ($var < count($chrs) - 1)
		{
			$alph .= $chrs[$var];
			$x = 1;
		}
		else
		{
			$alph .= $chrs[substr($int, $i - 1, 1)];
		}
	}
	
	return $alph;
}
// Get the extension of a file
function getExtension($str)
{
	$i = strrpos($str,".");
	if (!$i)
	{
		return "";
	}
	$l = strlen($str) - $i;
	$ext = substr($str,$i+1,$l);
	return $ext;
}
?>		