<?php
/** 
*
* tube [English]
*
* @package language
* @version $Id: v3_modules.xml,v 1.4 2007/03/18 18:16:40 kellanved Exp $
* @copyright (c) 2005 phpBB Group 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/
					
/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
        exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
						
// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
						
$lang = array_merge($lang, array(
//INSTALL
	'ADDED_PERMISSIONS'			=> 'Права доступа для OurTube успешно добавлены.',
//GENERAL
	'TUBE'						=> 'OurTube',
	'TUBE_DISABLE'				=> 'Отключить OurTube',
	'TUBE_DISABLED'				=> 'OurTube в настоящее время недоступен, попробуйте зайти позже.',
	'TUBE_UPLOAD_FLV'			=> 'Закачать FLV видео и миниатюру',
	'TUBE_UPLOAD'				=> 'Закачать видео',
	'TUBE_YOUTUBE'				=> 'Использовать видео YouTube',
	'TUBE_VIEWS'				=> 'Просмотры',
	'TUBE_DURATION'				=> 'Длительность',
	'TUBE_RATING'				=> 'Рейтинг',
	'TUBE_RATING_INFO'			=> ' [%d голосов]',
	'TUBE_COMMENTS'				=> 'Комментарии',
	'TUBE_ADDED_BY'				=> 'Добавил ',
	'TUBE_ADDED_ON'				=> 'Добавлено',
	'TUBE_SOURCE'				=> 'Источник',
	'TUBE_ADD'					=> 'Добавить видео',
	'TUBE_TYPE'					=> 'Источник видео',
	'TUBE_BBCODE'				=> 'Видео BBCode',
	'TUBE_TITLE'				=> 'Заголовок',
	'TUBE_COUNT'				=> 'Видео в этой категории',
	'TUBE_DESCRIPTION'			=> 'Описание',
	'TUBE_DESCRIPTION_EXPLAIN'	=> 'Вы можете задать собственное описание, или оставить поле пустым для использования описания с YouTube',
	'TUBE_VIDEO'				=> 'Видео',
	'TUBE_VIDEO_EXPLAIN'		=> 'Разрешены только файлы с типом содержимого video/*',
	'TUBE_THUMB'				=> 'Миниатюра',
	'TUBE_THUMB_EXPLAIN'		=> 'Выберите изображение для использования в качестве миниатюры для вашего видео. Разрешены только файлы png.',
	'TUBE_STATUS'				=> 'Состояние закачки/преобразования',
	'TUBE_STATUS_EXPLAIN'		=> 'Обновление каждые 2 секунды при закачивании/преобразовании',
	'TUBE_CATEGORY'				=> 'Категория',
	'TUBE_CATEGORIES'			=> 'Категории',
	'TUBE_VIDEOS'				=> 'Видео',
	'TUBE_NEWEST'				=> 'Новое видео',
	'TUBE_NEWEST_CATEGORY'		=> 'Новое видео в данной категории',
	'TUBE_RATED'				=> 'Наибольший рейтинг',
	'TUBE_RATED_CATEGORY'		=> 'Наибольший рейтинг в данной категории',
	'TUBE_VIEWED'				=> 'Самые просматриваемые',
	'TUBE_VIEWED_CATEGORY'		=> 'Самые просматриваемые в данной категории',
	'TUBE_ACTION'				=> 'Действие',
	'TUBE_VIDEO_URL'			=> 'URL видео',
	'TUBE_VIDEO_URL_EXPLAIN'	=> 'напр. http://uk.youtube.com/watch?v=2-NZE5g1ZDk',
	'TUBE_CONVERSION'			=> 'Преобразование видео является ресурсоёмким и потребует какое-то время.',
	'TUBE_RATING_SUCCESS'		=> 'Ваш рейтинг был добавлен для данного видео.',
	'TUBE_RATING_FAILURE'		=> 'Каждый пользователь может добавлять только один рейтинг для каждого видео.',
	'RETURN_TO_ITEM'			=> '%1$sВернуться к видео%2$s',
	'TUBE_INFO'					=> 'Powered by OurTube - копия YouTube для phpBB.<br />Авторы OurTube <a href="http://dfcowell.net">dfcowell</a> и woipi, основано на оригинальном коде атвора Daemonic.<br />JW FLV плейер автора <a href="http://www.jeroenwijering.com/?item=JW_FLV_Player">Jeroen Wijering</a>.',
	'TUBE_PLAYER_LOADING'		=> 'Плейер загружается, ожидайте....',
	'TUBE_ITEM_ADDED'			=> 'Видео было успешно добавлено.',
	'TUBE_OPTIONS_DISABLED'		=> 'Все возможности по закачиванию видео отключены!',
	'TUBE_REUPLOAD_VIDEO'		=> 'Необходимо повторно закачать ваше видео.',
	'TUBE_ITEM_EXISTS'			=> 'Данное видео уже существует, сейчас вы будете перенаправлены к нему.',
//COMMENT
	'COMMENT_LENGTH'			=> 'Введите здесь ваш комментарий, он не может содержать более <strong>%d</strong> символов.',
	'COMMENT_STORED'			=> 'Ваш комментарий успешно добавлен.',
	'COMMENT_TOO_LONG'			=> 'Слишком длинный комментарий.',
	'COMMENTS'					=> 'Комментарии',
	'COMMENT'					=> 'Комментарий',
	'DELETE_NOT_ALLOWED'		=> 'Вы не имеете достаточных прав для удаления комментариев.',
	'DELETE_COMMENT'			=> 'Удалить комментарий',
	'DELETE_COMMENT2'			=> 'Вы действительно желаете удалить комментарий?',
	'DELETED_COMMENT'			=> 'Комментарий удалён',
	'DELETED_COMMENT_NOT'		=> 'Комментарий не удалён',
	'EDIT_COMMENT'				=> 'Изменить комментарий',
	'EDITED_COMMENT_NOT'		=> 'Комментарий не был изменён.',
	'MISSING_COMMENT'			=> 'Вы не ввели сообщение',
	'NO_COMMENTS'				=> 'Комментарии отсутствуют',
	'MISSING_USERNAME'			=> 'Вы не ввели имя пользователя',
	'ORDER'						=> 'Сортировка',
	'SORT_ASCENDING'			=> 'по возрастанию',
	'SORT_DESCENDING'			=> 'по убыванию',
	'DENY'						=> 'Запретить',
	'COMMENT_REVISIONS_INFO'	=> 'В последний раз видео редактировалось %2$s пользователем %1$s, общее число редактирований: %3$s.',
	'SHOW_BBINFO'				=> 'Показать информацию BBCode',
//Stats
	'TUBE_STATS'				=> 'Статистика',
	'TUBE_TOTALS'				=> 'Количество добавленного видео',
	'TUBE_TOTAL_24_HOURS'		=> 'за последние 24 часа: <strong>%d</strong>,',
	'TUBE_TOTAL_7_DAYS'			=> 'за последнюю неделю: <strong>%d</strong>,',
	'TUBE_TOTAL_30_DAYS'		=> 'за последний месяц: <strong>%d</strong>,',
	'TUBE_TOTAL'				=> 'всего: <strong>%d</strong>',
//ACP : General
	'TUBE_GENERAL'						=> 'Общие настройки OurTube',
	'TUBE_GENERAL_EXPLAIN'				=> 'Здесь вы можете задать общие настройки OurTube.',
	'LOG_TUBE_GENERAL'					=> '<strong>Настройки OurTube обновлены</strong>',
	'TUBE_GENERAL_UPDATED'				=> 'Настройки OurTube обновлены',
	'TUBE_LOGO_ADVERTISING'				=> 'Логотип',
	'TUBE_LOGO_ENABLED'					=> 'Логотип включен',
	'TUBE_LOGO'							=> 'Логотип',
	'TUBE_FORMATS'						=> 'Поддерживаемые форматы',
	'TUBE_UPLOAD_FLV_SUPPORT'			=> 'Закачивание файлов - ТОЛЬКО FLV',
	'TUBE_UPLOAD_FLV_SUPPORT_EXPLAIN'	=> 'Для закачивания видео и миниатюр без ffmpeg/mencoder/flvtool. Пользователи должны преобразовать видео в формат flv до его добавления, и указать миниатюру. Если используется добавление файлов - ВСЕ ФОРМАТЫ, то рекомендуется отключить данную опцию.',
	'TUBE_UPLOAD_SUPPORT'				=> 'Добавление файлов - ВСЕ ФОРМАТЫ',
	'TUBE_UPLOAD_SUPPORT_EXPLAIN'		=> 'Для обеспечения добавления файлов и их преобразования, ваш сервер должен поддерживать ffmpeg, mencoder и flvtool. Чтобы включить данную функцию, вы также должны указать пути к программам ниже',
	'TUBE_YOUTUBE_SUPPORT'				=> 'Поддержка YouTube',
	'TUBE_YOUTUBE_SUPPORT_EXPLAIN'		=> 'Для работы YouTube вы должны задать ниже путь к Zend framework',
	'TUBE_PROGRAMS'						=> 'Пути к программам OurTube',
	'TUBE_SYSTEM_TMP'					=> 'Системная папка tmp',
	'TUBE_SYSTEM_TMP_EXPLAIN'			=> '/tmp ???',
	'TUBE_FFMPEG'						=> 'Путь к ffmpeg',
	'TUBE_FFMPEG_EXPLAIN'				=> '/usr/bin/ffmpeg ???',
	'TUBE_SEARCH_FFMPEG'				=> 'Поиск ffmpeg',
	'TUBE_MENCODER'						=> 'Путь к mencoder',
	'TUBE_MENCODER_EXPLAIN'				=> '/usr/bin/mencoder ???',
	'TUBE_SEARCH_MENCODER'				=> 'Поиск mencoder',
	'TUBE_FLVTOOL'						=> 'Путь к flvtool2',
	'TUBE_FLVTOOL_EXPLAIN'				=> '/usr/bin/flvtool2 ???',
	'TUBE_SEARCH_FLVTOOL'				=> 'Поиск flvtool',
	'TUBE_ZEND'							=> 'Путь к Zend framework',
	'TUBE_ZEND_EXPLAIN'					=> './ZendFramework-1.7.3PL1/library ???',
//ACP : Categories
	'TUBE_CATEGORY_INDEX'			=> 'Категории OurTube',
	'TUBE_CATEGORY_INDEX_EXPLAIN'	=> 'Здесь вы можете управлять категориями OurTube.',
	'TUBE_CATEGORY_ADD'				=> 'Добавить категорию',
	'TUBE_CATEGORY_ADD_EXPLAIN'		=> 'Здесь вы можете добавить категорию OurTube.',
	'LOG_TUBE_CATEGORY_ADD'			=> '<strong>Категория OurTube добавлена</strong>',
	'TUBE_CATEGORY_ADDED'			=> 'Категория OurTube добавлена',
	'TUBE_CATEGORY_EDIT'			=> 'Изменить категорию',
	'TUBE_CATEGORY_EDIT_EXPLAIN'	=> 'Здесь вы можете изменить категорию OurTube.',
	'LOG_TUBE_CATEGORY_EDIT'		=> '<strong>Категория OurTube изменена</strong>',
	'TUBE_CATEGORY_EDITED'			=> 'Категория OurTube изменена',
	'LOG_TUBE_CATEGORY_DELETE'		=> '<strong>Категория OurTube удалена</strong>',
	'TUBE_CATEGORY_DELETED'			=> 'Категория OurTube удалена',
	'TUBE_CATEGORY_IMAGE'			=> 'Значок категории',
//ACP : Items
	'TUBE_ITEM_INDEX'			=> 'Файлы OurTube',
	'TUBE_ITEM_INDEX_EXPLAIN'	=> 'Здесь вы можете управлять файлами OurTube.',
	'TUBE_ITEM_ADD'				=> 'Добавить файл',
	'TUBE_ITEM_ADD_EXPLAIN'		=> 'Здесь вы можете добавить файл OurTube.',
	'LOG_TUBE_ITEM_ADD'			=> '<strong>Файл OurTube добавлен</strong>',
	'TUBE_ITEM_ADDED'			=> 'Файл OurTube добавлен',
	'TUBE_ITEM_EDIT'			=> 'Изменить файл',
	'TUBE_ITEM_EDIT_EXPLAIN'	=> 'Здесь вы можете изменить файл OurTube.',
	'LOG_TUBE_ITEM_EDIT'		=> '<strong>Файл OurTube изменён</strong>',
	'TUBE_ITEM_EDITED'			=> 'Файл OurTube изменён',
	'LOG_TUBE_ITEM_DELETE'		=> '<strong>Файл OurTube удалён</strong>',
	'TUBE_ITEM_DELETED'			=> 'Файл OurTube удалён',
	'TUBE_ITEM_IMAGE'			=> 'Значок файла',
	'TUBE_ITEM_VIDEO'			=> 'Видео',
//Errors
	'LOGIN_EXPLAIN_TUBE'			=> 'Для просмотра OurTube вы должны ввести имя и пароль.',
	'LOGIN_EXPLAIN_TUBE_ADD'		=> 'Вы не имеете достаточно прав для закачивания видео на OurTube.',
	'ERROR_TITLE'					=> 'Вы должны задать заголовок для видео.',
	'ERROR_DESCRIPTION'				=> 'Вы должны задать описание для видео.',
	'ERROR_CATEGORY'				=> 'Вы должны задать категорию для видео.',
	'ERROR_TYPE'					=> 'Разрешены только типы файлов видео.',
	'ERROR_VIDEO'					=> 'Вы должны указать файл видео.',
	'ERROR_YOUTUBE'					=> 'Вы должны задать ссылку YouTube.',
	'ERROR_YOUTUBE_INVALID_ID'		=> 'Указанное видео YouTube повреждено или удалено.',
	'ERROR_YOUTUBE_INVALID_URL'		=> 'Указана неверная ссылка YouTube.',
));

?>
