<?php
/**
*
* install [English]
*
* @package language
* @version $Id: gallery_install.php 201 2008-01-08 18:52:56Z nickvergessen $
* @copyright (c) 2005 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'SUPPORT_BODY'			=> 'Поддержка обеспечивается для текущего стабильного релиза OurTube, бесплатно. Поддержка включает:</p><ul><li>технические вопросы</li><li>вопросы использования</li></ul><p>При наличии обновления, рекомендуется установить его как можно быстрее.</p><p>Поддержка оказывается на следующих форумах:</p><ul><li><a href="http://forums.dfcowell.net/">Форум автора мода</a></li><li><a href="http://www.phpbb.com/">phpbb.com</a></li></ul><p>',
	'INSTALL_INTRO_BODY'		=> 'Используя простой установщик, вы можете завершить установку OurTube на вашей конференции.',
	'REQUIREMENTS_EXPLAIN'		=> 'Перед продолжением полной установки phpBB выполнит несколько тестов конфигурации сервера и файлов, чтобы удостовериться в возможности номальной установки и работы OurTube. Убедитесь, что вы внимательно изучили результаты проверки, и не продолжайте установку до тех пор, пока все тесты не будут завершены.',
	'PHP_VERSION'			=> 'Версия PHP >= 5.1.4 ??',
	'YOUTUBE_OPTIONAL_EXPLAIN'	=> '<strong>Необязательно</strong> - к сожалению, некоторые компоненты, необходимые для YouTube, требуют версию PHP >= 5.1.4. Однако, это не повлияет на работоспособность добавления файлов, как и на доступ к нужным прогамман на сервере.',
	'YOUTUBE_YES'			=> '[%s] - вы сможете использовать YouTube видео на OurTube.',
	'YOUTUBE_NO'			=> '[%s] - вы не сможете использовать YouTube видео на OurTube.',
	'FILES_REQUIRED_EXPLAIN'	=> '<strong>Обязательно</strong> - для нормальной работы OurTube необходимо обеспчечить доступ для чтения или записи к определённым файлам или папкам. Если вы видите .Unwritable, необходимо изменить права доступа для файлов или папок так, чтобы разрешить запись.',
	'STAGE_CREATE_TABLE_EXPLAIN'	=> 'Таблицы базы данных, используемые OurTube, были созданы и заполнены начальными данными. Для завершения установки OurTube передите к следующему шагу.',
	'STAGE_ADVANCED_EXPLAIN'	=> 'Выберите родительский модуль для администраторских модулей OurTube. В большинстве случаев подходит настройка по умолчанию.',
	'MODULES_SELECT_4ACP'		=> 'Выберите родительский модуль для модуля "администраторская панель управления"',
	'INSTALL_CONGRATS_EXPLAIN'	=> '<p>Установка OurTube v%s успешно завершена.<br/><br/><strong>Удалите, переместите или переименуйте папку install перед использованием конференции. Если указанная папка ещё существует, будет доступен только администраторский раздел.</strong></p>',
	'GOTO_OURTUBE'			=> 'перейти к OurTube',
));

?>
